Name:    plasma-pa
Summary: Plasma Audio Volume applet
Version: 5.3.90
Release: 1%{?dist}

# app: GPLv2+
# lib:  IJG and (LGPLv2 or LGPLv3 or LGPLv3+ (KDE e.V.)) and LGPLv2+ and GPLv2+
License: GPLv2+
URL:     git://anongit.kde.org/plasma-pa.git
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif 
%global git_commit dea0b3e

Source0: %{name}-%{git_commit}.tar.bz2

## upstreamable patches

BuildRequires: cmake 
BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: qt5-qtbase-devel
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kdeclarative-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kglobalaccel-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-plasma-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: glib2-devel

#Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
%{summary}.


%prep
%setup -q -n %{name}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


#%check
#appstream-util validate-relax --nonet %{buildroot}%{_kf5_datadir}/appdata/%{name}.appdata.xml ||:
#desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/org.kde.%{name}.desktop

%posttrans
/sbin/ldconfig

%files 
%doc COPYING COPYING.LIB 
%dir %{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.volume
%dir %{_kf5_datadir}/kpackage/kcms/kcm_pulseaudio
%dir %{_kf5_libdir}/qt5/qml/org/kde/plasma/private/volume
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.volume/*
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kconf_update/*
#%{_datadir}/appdata/%{name}.appdata.xml
%{_kf5_libdir}/libQPulseAudioPrivate.so
%{_kf5_qtplugindir}/kcms/kcm_pulseaudio.so
%{_kf5_datadir}/kpackage/kcms/kcm_pulseaudio/*
%{_kf5_libdir}/qt5/qml/org/kde/plasma/private/volume/*


%changelog
* Fri Aug 14 2015 Rajeesh K V <rajeeshknambiar@fedoraproject.org> - 5.3.90-1
- Initial packaging
